Skip to content
vocapable.Docs

Archive a department (its teams stay, without a department)

DELETE
/v1/workspace/departments/{department_id}
curl --request DELETE \
--url 'https://api.vocapable.com/v1/workspace/departments/example?expected_revision=1' \
--header 'Authorization: Bearer <token>'
department_id
required
Department Id
string
expected_revision
required
Expected Revision
integer
>= 1

Successful Response

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}